Update Post Action

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}

Update Post Action.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • actionId string Required

    id of the Post Action

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the updated Post Action Id

PUT /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63"
}